<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: profile/profile-body/profile-body-keys/KeyFigureCard.tsx</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: profile/profile-body/profile-body-keys/KeyFigureCard.tsx</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from 'react';
import styled from 'styled-components';
import colors from '../../../../utils/style/colors';

const Container = styled.div`
  width: 258px;
  padding: 32px;
  background-color: ${colors.background};
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 25px;
`;

const Icon = styled.div`
  height: 60px;
  width: 60px;
  display: flex;
  border-radius: 5px;
  background-color: red;

  img {
    height: 20px;
    margin: auto;
  }
`;

const Description = styled.div`
  p {
    margin: 0;
    font-weight: 500;
    font-size: 14px;
    color: #74798c;
  }

  h3 {
    margin: 0;
    margin-bottom: 5px;
    font-weight: 600;
    font-size: 20px;
  }
`;

interface IProps {
  value: number;
  unit: 'Calories' | 'Proteines' | 'Glucides' | 'Lipides';
}

/**
 * Renders user's key figure as a card
 * @param   {number}   value    key figure value
 * @param   {string}   unit     key figure unit (ex: 'Calories')
 */
const KeyFigureCard: React.FC&lt;IProps> = (props) => {
  const { value, unit } = props;

  enum EIconUrl {
    'Proteines' = '/assets/proteins-icon.svg',
    'Glucides' = '/assets/carbs-icon.svg',
    'Lipides' = '/assets/lipids-icon.svg',
    'Calories' = '/assets/calories-icon.svg',
  }

  enum EIconBgColor {
    'Proteines' = 'rgba(96,178,228,0.1)',
    'Glucides' = 'rgba(249,206,36,0.1)',
    'Lipides' = 'rgba(253,81,129,0.1)',
    'Calories' = 'rgba(255,0,0,0.1)',
  }

  enum EUnit {
    'Proteines' = 'g',
    'Glucides' = 'g',
    'Lipides' = 'g',
    'Calories' = 'kCal',
  }

  return (
    &lt;Container>
      &lt;Icon style={{ backgroundColor: EIconBgColor[unit] }}>
        &lt;img src={EIconUrl[unit]} alt={`icon ${unit}`} />
      &lt;/Icon>
      &lt;Description>
        &lt;h3>{value + EUnit[unit]}&lt;/h3>
        &lt;p>{unit}&lt;/p>
      &lt;/Description>
    &lt;/Container>
  );
};

export default KeyFigureCard;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
